VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::DiskTypes::CreateSpec Class Reference

The `Disk.CreateSpec` class provides a specification for the configuration of a newly-created virtual disk. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType | Get_Type ()
| Type of host bus adapter to which the device should be attached.
void | SetType (vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType type)
| Type of host bus adapter to which the device should be attached.
vmware.vcenter.vm.hardware.IdeAddressSpec | GetIde ()
| Address for attaching the device to a virtual IDE adapter.
void | SetIde (vmware.vcenter.vm.hardware.IdeAddressSpec ide)
| Address for attaching the device to a virtual IDE adapter.
vmware.vcenter.vm.hardware.ScsiAddressSpec | GetScsi ()
| Address for attaching the device to a virtual SCSI adapter.
void | SetScsi (vmware.vcenter.vm.hardware.ScsiAddressSpec scsi)
| Address for attaching the device to a virtual SCSI adapter.
vmware.vcenter.vm.hardware.SataAddressSpec | GetSata ()
| Address for attaching the device to a virtual SATA adapter.
void | SetSata (vmware.vcenter.vm.hardware.SataAddressSpec sata)
| Address for attaching the device to a virtual SATA adapter.
vmware.vcenter.vm.hardware.DiskTypes.BackingSpec | GetBacking ()
| Existing physical resource backing for the virtual disk.
void | SetBacking (vmware.vcenter.vm.hardware.DiskTypes.BackingSpec backing)
| Existing physical resource backing for the virtual disk.
vmware.vcenter.vm.hardware.DiskTypes.VmdkCreateSpec | GetNewVmdk ()
| Specification for creating a new VMDK backing for the virtual disk.
void | SetNewVmdk (vmware.vcenter.vm.hardware.DiskTypes.VmdkCreateSpec newVmdk)
| Specification for creating a new VMDK backing for the virtual disk.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Disk.CreateSpec` class provides a specification for the configuration of a newly-created virtual disk.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::Get_Type | ( |  | ) | `[inline]`

Type of host bus adapter to which the device should be attached.

vmware.vcenter.vm.hardware.DiskTypes.BackingSpec vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetBacking | ( |  | ) | `[inline]`

Existing physical resource backing for the virtual disk.

Exactly one of `backing` or `newVmdk` must be specified.

override int vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.IdeAddressSpec vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetIde | ( |  | ) | `[inline]`

Address for attaching the device to a virtual IDE adapter.

vmware.vcenter.vm.hardware.DiskTypes.VmdkCreateSpec vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetNewVmdk | ( |  | ) | `[inline]`

Specification for creating a new VMDK backing for the virtual disk.

Exactly one of `backing` or `newVmdk` must be specified.

vmware.vcenter.vm.hardware.SataAddressSpec vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetSata | ( |  | ) | `[inline]`

Address for attaching the device to a virtual SATA adapter.

vmware.vcenter.vm.hardware.ScsiAddressSpec vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::GetScsi | ( |  | ) | `[inline]`

Address for attaching the device to a virtual SCSI adapter.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetBacking | ( | vmware.vcenter.vm.hardware.DiskTypes.BackingSpec | backing | ) | `[inline]`

Existing physical resource backing for the virtual disk.

Exactly one of `backing` or `newVmdk` must be specified.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetIde | ( | vmware.vcenter.vm.hardware.IdeAddressSpec | ide | ) | `[inline]`

Address for attaching the device to a virtual IDE adapter.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetNewVmdk | ( | vmware.vcenter.vm.hardware.DiskTypes.VmdkCreateSpec | newVmdk | ) | `[inline]`

Specification for creating a new VMDK backing for the virtual disk.

Exactly one of `backing` or `newVmdk` must be specified.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetSata | ( | vmware.vcenter.vm.hardware.SataAddressSpec | sata | ) | `[inline]`

Address for attaching the device to a virtual SATA adapter.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetScsi | ( | vmware.vcenter.vm.hardware.ScsiAddressSpec | scsi | ) | `[inline]`

Address for attaching the device to a virtual SCSI adapter.

void vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::SetType | ( | vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType | type | ) | `[inline]`

Type of host bus adapter to which the device should be attached.

override string vmware::vcenter::vm::hardware::DiskTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DiskTypes.cs